Subject: Re: [PATCH 3/5] ci: make test slicing consistent across Meson/Make

From: Justin Tobler <[email-masked]>
Date: Mon, 9 Feb 2026 12:19:57 -0600

On 26/02/09 05:56PM, Patrick Steinhardt wrote:
> In the preceding commit we have adjusted test slicing to be one-based
> when using the "ci/run-test-slice.sh" script. But we also have an
> equivalent script for Meson that is still zero-based, which is of course
> inconsistent.
> 
> Adapt the script to be one-based, as well, and adapt the GitHub workflow
> accordingly. Note that GitLab doesn't yet use the script, so it does not
> need to be adapted. This will change in the next commit though.
> 
> Signed-off-by: Patrick Steinhardt <[email-masked]>
> ---
>  .github/workflows/main.yml | 2 +-
>  ci/run-test-slice-meson.sh | 2 +-
>  2 files changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/.github/workflows/main.yml b/.github/workflows/main.yml
> index 2b175dc5c6..1b7a16e1f1 100644
> --- a/.github/workflows/main.yml
> +++ b/.github/workflows/main.yml
> @@ -298,7 +298,7 @@ jobs:
>          path: build
>      - name: Test
>        shell: pwsh
> -      run: ci/run-test-slice-meson.sh build ${{matrix.nr}} 10
> +      run: ci/run-test-slice-meson.sh build ${{matrix.nr + 1}} 10

Due to the changes in the prior patch, GitHub CI passing 0 as the slice
value would cause a failure correct? I wonder if we should combine this
change with the previous patch. Otherwise this patch looks good.

-Justin